VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: Linmodem woes  (Read 4753 times)

Jimbo

  • Member
  • *
  • Posts: 2
Linmodem woes
« on: May 23, 2008, 02:14:56 am »

After a long absence from VL I just downloaded VL5.9-Light-B5 and installed it on my old Toshiba.  Very impressed. 
One problem though. 
Laptop modem is an agere winmodem.  Puppy has no problem with it, but VL needs the drivers.  I downloaded martian-full-20080407.tar.gz and tried to install it, but make all gives me an error message to the effect "Entering an unknown directory".  Looking at other posts on this problem it seems I may need to download and install some packages first.  But I can't use gslapt without a modem. . .
Is there a way of installing programs that I download on my other laptop?  If so, how?  Where do I find the packages to use with 5.9?  Has anyone else had success in setting up winmodems in 5.9 light?
Thanks in advance for your suggestions.
Logged

kc1di

  • Packager
  • Vectorian
  • ****
  • Posts: 1125
  • Morse Code Early digital mode. John 3:16
Re: Linmodem woes
« Reply #1 on: May 23, 2008, 02:56:10 am »

Hi Jimbo,

There should be not problem downloading onto another machine and burning them to a disk or flash stick.  Then simply copy them to the Toshiba and install as root in a terminal you can use the command
installpkg  <package Name>.

I'll look at the Package you mentioned and see if I can build it on a 5.9 light box. may take a couple of days as I'm very busy with work right now. 

Welcome to Vector hope your stay is a long one.

Cheers!
Dave
Logged
Dave
( Living Somewhere in Maine USA)
Registered Linux User #462608

rbistolfi

  • Packager
  • Vectorian
  • ****
  • Posts: 2305
Re: Linmodem woes
« Reply #2 on: May 23, 2008, 06:32:31 am »

I never looked at that driver, but I bet you need the kernel sources to compile it.
The pkg is a 30mb download and can be found in http://vectorlinux.osuosl.org/veclinux-5.9/kernels
You are looking for something like kernel-2.6.xx.xx-src-i586-1vl59.tlz
Be sure you match the version number with the kernel you are using, you can find out your kernel version with the uname -r command at the terminal.

HTH
Logged
"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!

Jimbo

  • Member
  • *
  • Posts: 2
Re: Linmodem woes
« Reply #3 on: May 25, 2008, 11:18:08 pm »

Thanks to you both.  Sorry it has taken me so long to get back to you.  My life keeps getting in the way of my computing :'(  I'll try the things you have mentioned in the next few days, then post again to let you know how it goes. 
In Puppy the modem comes up as ttyLTO - does that mean anything useful?
I'm sorry, but it will take a few days for me to get the time to reply, although I will check this post as often as I can.
Logged

kc1di

  • Packager
  • Vectorian
  • ****
  • Posts: 1125
  • Morse Code Early digital mode. John 3:16
Re: Linmodem woes
« Reply #4 on: May 26, 2008, 03:18:30 am »

Thanks to you both.  Sorry it has taken me so long to get back to you.  My life keeps getting in the way of my computing :'(  I'll try the things you have mentioned in the next few days, then post again to let you know how it goes. 
In Puppy the modem comes up as ttyLTO - does that mean anything useful?
I'm sorry, but it will take a few days for me to get the time to reply, although I will check this post as often as I can.

ttylto  simplly mean it's a winmodem on  tty port 1.
Logged
Dave
( Living Somewhere in Maine USA)
Registered Linux User #462608